<html>
<head>
<title>Ogre::VectorIteratorWrapper&lt; T, IteratorType &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html">VectorIteratorWrapper</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::VectorIteratorWrapper&lt; T, IteratorType &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::VectorIteratorWrapper" --><!-- doxytag: inherits="IteratorWrapper&lt; T, IteratorType, T::value_type &gt;" -->
<p>Prepiared <a class="el" href="classOgre_1_1IteratorWrapper.html" title="Basefunctionality for IteratorWrappers.">IteratorWrapper</a> for container like std::vector.  
 <a href="classOgre_1_1VectorIteratorWrapper.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::VectorIteratorWrapper&lt; T, IteratorType &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1VectorIteratorWrapper__inherit__graph.gif" border="0" usemap="#Ogre_1_1VectorIteratorWrapper_3_01T_00_01IteratorType_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1VectorIteratorWrapper_3_01T_00_01IteratorType_01_4_inherit__map" id="Ogre_1_1VectorIteratorWrapper_3_01T_00_01IteratorType_01_4_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1IteratorWrapper.html" title="Ogre::IteratorWrapper\&lt; T, IteratorType, T::value_type \&gt;" alt="" coords="5,5,349,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1VectorIteratorWrapper-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt; T, <br class="typebreak"/>
IteratorType, typename <br class="typebreak"/>
T::value_type &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">type you expect to get by funktions like peekNext(Value)  <a href="#a11b7947af4d7de6c8a371a45b0c92a81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt; T, <br class="typebreak"/>
IteratorType, typename <br class="typebreak"/>
T::value_type &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">PointerType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">PointerType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">type you expect to get by funktions like peekNext(Value)Ptr  <a href="#a3889b6a2de089ec7cb7426cb142f85b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a22c1c22fab97253a922a190d2ace205e">iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a22c1c22fab97253a922a190d2ace205e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a704ce78ef948a2730b4774b4ba0cea69">const_iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a704ce78ef948a2730b4774b4ba0cea69"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a8fbf70ecca363365f245308dcef54f7f">VectorIteratorWrapper</a> (IteratorType start, IteratorType last)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">c'tor  <a href="#a8fbf70ecca363365f245308dcef54f7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#aa9fb7dc63c70c2065eea12083c2467fb">peekNext</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the next(=current) element in the collection, without advancing to the next.  <a href="#aa9fb7dc63c70c2065eea12083c2467fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">PointerType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#aafbb3662aba1dc76c617ce52724f2c66">peekNextPtr</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the next(=current) element in the collection, without advancing to the next afterwards.  <a href="#aafbb3662aba1dc76c617ce52724f2c66"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a2460c8adb6819235849de954db6a0f64">getNext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the next(=current) value element in the collection, and advances to the next.  <a href="#a2460c8adb6819235849de954db6a0f64"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a468ebc8ca34585ed3ef17a432ee22704">hasMoreElements</a> () const</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if there are more items in the collection.  <a href="#a468ebc8ca34585ed3ef17a432ee22704"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aaf01f897bea391797dc2bb9fb8374a5f">moveNext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the iterator on one element.  <a href="#aaf01f897bea391797dc2bb9fb8374a5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#acfb61cec43a0da5ae1b7c6ee6274498d">begin</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">bookmark to the begin of the underlying collection  <a href="#acfb61cec43a0da5ae1b7c6ee6274498d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ab2daa0557a06aebd61686b13c865b6c0">current</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">full access to the current iterator  <a href="#ab2daa0557a06aebd61686b13c865b6c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a0fd0df9bbfe0fc16939600b37de81739">end</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">bookmark to the end (one behind the last element) of the underlying collection  <a href="#a0fd0df9bbfe0fc16939600b37de81739"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aecdc604f73f00133d4f934a94913b468">mBegin</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ab46be8c170cbc9046a81784b463534b9">mCurrent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ad6beeb6fcd8840f4fcb30b3363c3552d">mEnd</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T, typename IteratorType&gt;<br/>
class Ogre::VectorIteratorWrapper&lt; T, IteratorType &gt;</h3>

<p>Prepiared <a class="el" href="classOgre_1_1IteratorWrapper.html" title="Basefunctionality for IteratorWrappers.">IteratorWrapper</a> for container like std::vector. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">T</td><td>= Container eg vector </td></tr>
    <tr><td class="paramname">IteratorType</td><td>T::iterator or T::const_iterator</td></tr>
  </table>
  </dd>
</dl>
<p>have a look at <a class="el" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">VectorIterator</a> and <a class="el" href="classOgre_1_1ConstVectorIterator.html" title="Concrete IteratorWrapper for const access to the underlying container.">ConstVectorIterator</a> for a more concrete usage </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00137">137</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a704ce78ef948a2730b4774b4ba0cea69"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::const_iterator" ref="a704ce78ef948a2730b4774b4ba0cea69" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a704ce78ef948a2730b4774b4ba0cea69">const_iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<p>Userfull if you want to use BOOST_FOREACH </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. <br/>
 keep this in mind if you want to derivate from this class. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00082">82</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a22c1c22fab97253a922a190d2ace205e"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::iterator" ref="a22c1c22fab97253a922a190d2ace205e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a22c1c22fab97253a922a190d2ace205e">iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<p>Userfull if you want to use BOOST_FOREACH </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. <br/>
 keep this in mind if you want to derivate from this class. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00073">73</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3889b6a2de089ec7cb7426cb142f85b5"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::PointerType" ref="a3889b6a2de089ec7cb7426cb142f85b5" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt;T, IteratorType, typename T::value_type&gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">PointerType</a> <a class="el" href="classOgre_1_1VectorIteratorWrapper.html">Ogre::VectorIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">PointerType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>type you expect to get by funktions like peekNext(Value)Ptr </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1IteratorWrapper.html#a72bb580445cd26d668677e159b692d4f">Ogre::IteratorWrapper&lt; T, IteratorType, T::value_type &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00142">142</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a11b7947af4d7de6c8a371a45b0c92a81"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::ValueType" ref="a11b7947af4d7de6c8a371a45b0c92a81" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt;T, IteratorType, typename T::value_type&gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a> <a class="el" href="classOgre_1_1VectorIteratorWrapper.html">Ogre::VectorIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>type you expect to get by funktions like peekNext(Value) </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1IteratorWrapper.html#a72df6843478e277b8dde180081156b98">Ogre::IteratorWrapper&lt; T, IteratorType, T::value_type &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00141">141</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8fbf70ecca363365f245308dcef54f7f"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::VectorIteratorWrapper" ref="a8fbf70ecca363365f245308dcef54f7f" args="(IteratorType start, IteratorType last)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html">Ogre::VectorIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html">VectorIteratorWrapper</a> </td>
          <td>(</td>
          <td class="paramtype">IteratorType&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IteratorType&#160;</td>
          <td class="paramname"><em>last</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>c'tor </p>
<p>Constructor that provide a start and end iterator to initialise.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">start</td><td>start iterator </td></tr>
    <tr><td class="paramname">end</td><td>end iterator </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00153">153</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acfb61cec43a0da5ae1b7c6ee6274498d"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::begin" ref="acfb61cec43a0da5ae1b7c6ee6274498d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#acfb61cec43a0da5ae1b7c6ee6274498d">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>bookmark to the begin of the underlying collection </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00112">112</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab2daa0557a06aebd61686b13c865b6c0"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::current" ref="ab2daa0557a06aebd61686b13c865b6c0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ab2daa0557a06aebd61686b13c865b6c0">current</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>full access to the current iterator </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00116">116</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0fd0df9bbfe0fc16939600b37de81739"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::end" ref="a0fd0df9bbfe0fc16939600b37de81739" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a0fd0df9bbfe0fc16939600b37de81739">end</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>bookmark to the end (one behind the last element) of the underlying collection </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00119">119</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2460c8adb6819235849de954db6a0f64"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::getNext" ref="a2460c8adb6819235849de954db6a0f64" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a> <a class="el" href="classOgre_1_1VectorIteratorWrapper.html">Ogre::VectorIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a2460c8adb6819235849de954db6a0f64">getNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the next(=current) value element in the collection, and advances to the next. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00172">172</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a468ebc8ca34585ed3ef17a432ee22704"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::hasMoreElements" ref="a468ebc8ca34585ed3ef17a432ee22704" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a468ebc8ca34585ed3ef17a432ee22704">hasMoreElements</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if there are more items in the collection. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00099">99</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaf01f897bea391797dc2bb9fb8374a5f"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::moveNext" ref="aaf01f897bea391797dc2bb9fb8374a5f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#aaf01f897bea391797dc2bb9fb8374a5f">moveNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Moves the iterator on one element. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00106">106</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa9fb7dc63c70c2065eea12083c2467fb"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::peekNext" ref="aa9fb7dc63c70c2065eea12083c2467fb" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">ValueType</a> <a class="el" href="classOgre_1_1VectorIteratorWrapper.html">Ogre::VectorIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#aa9fb7dc63c70c2065eea12083c2467fb">peekNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the next(=current) element in the collection, without advancing to the next. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00160">160</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="aafbb3662aba1dc76c617ce52724f2c66"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::peekNextPtr" ref="aafbb3662aba1dc76c617ce52724f2c66" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">PointerType</a> <a class="el" href="classOgre_1_1VectorIteratorWrapper.html">Ogre::VectorIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1VectorIteratorWrapper.html#aafbb3662aba1dc76c617ce52724f2c66">peekNextPtr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a pointer to the next(=current) element in the collection, without advancing to the next afterwards. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00166">166</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aecdc604f73f00133d4f934a94913b468"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::mBegin" ref="aecdc604f73f00133d4f934a94913b468" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#aecdc604f73f00133d4f934a94913b468">mBegin</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00054">54</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab46be8c170cbc9046a81784b463534b9"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::mCurrent" ref="ab46be8c170cbc9046a81784b463534b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ab46be8c170cbc9046a81784b463534b9">mCurrent</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00055">55</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorWrapper_8h_source.html#l00172">Ogre::VectorIteratorWrapper&lt; T, T::const_iterator &gt;::getNext()</a>, <a class="el" href="OgreIteratorWrapper_8h_source.html#l00160">Ogre::VectorIteratorWrapper&lt; T, T::const_iterator &gt;::peekNext()</a>, and <a class="el" href="OgreIteratorWrapper_8h_source.html#l00166">Ogre::VectorIteratorWrapper&lt; T, T::const_iterator &gt;::peekNextPtr()</a>.</p>

</div>
</div>
<a class="anchor" id="ad6beeb6fcd8840f4fcb30b3363c3552d"></a><!-- doxytag: member="Ogre::VectorIteratorWrapper::mEnd" ref="ad6beeb6fcd8840f4fcb30b3363c3552d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::value_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ad6beeb6fcd8840f4fcb30b3363c3552d">mEnd</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00056">56</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
